Index: mccord_demo/fx.js
===================================================================
--- mccord_demo/fx.js	(revision 7373)
+++ mccord_demo/fx.js	(working copy)
@@ -23,6 +23,8 @@
 
         // Main animation control
         that.transition = function(type, direction, phase){
+        	//prep views
+        
             var classNameString = 'fl-transition-'+type+' fl-transition-'+type+'-'+direction+'-'+phase;
             that.locate("view")
                 .addClass(classNameString);
@@ -56,7 +58,77 @@
      */
     fluid.contentManager = function(container, options){
         // documentFragment as a history buffer?
+        var that = fluid.initView("fluid.contentManager", container, options);
+        
+        //load first view
+        
+ 
+        that.locate("selector").live(that.options.eventType, function(event) {
+			var target = $(event.target);
+
+			event.preventDefault();
+			
+			if( target.is("a") ) {
+			
+				/*if (link.hasClass('fl-backButton')){
+					// go backwards
+					transitionDirection = "right";            
+				} else */
+        		
+        		if (!(url.charAt(0) === "#")) {
+					var url = target.href;
+					
+					that.locate("containerB").load(url, that.triggerTransition);
+				}
+			}
+		
+        });
+       
+		that.triggerTransition = function() {
+			that.events.onComplete.fire(that);
+		}
+		
+
+		/**
+		 * Once transition is done, swap container attributes (id + class names) to snap them into final placement
+		 * @param {Object} oldView: jQuery object holding the view being transitioned OUT
+		 * @param {Object} newView: jQuery object holding the view being transitioned IN
+		 */  
+		that.cleanUp = function() {
+          
+			/*			var cleanUp = function(oldView, newView){
+				var oldID = oldView.attr('id');
+				var newID = newView.attr('id');
+				
+				oldView
+					.empty()
+					.attr('id', newID)
+					.attr('class','fl-view fl-offScreen-'+offscreenPos);
+				newView
+					.attr('id', oldID)
+					.attr('class','fl-view');            
+			} */
+		
+		}
+		
+        return that;
     }
+
+    /* available 'options' */
+    fluid.defaults("fluid.contentManager", {
+        selectors: {
+            selector : 'a',
+            containerA: '#viewA',
+            containerB: '#viewB'
+        },
+        events: {
+			onCatch: null,
+			onComplete: null
+        },
+        eventType: null
+        
+        /* stop event? */
+    });    
     
 })(jQuery, fluid_1_2);
 
@@ -67,26 +139,39 @@
     
     $('#viewA').load('explore.php');
 
-    var animationForView1 = fluid_1_2.animator('body', {
-        listeners : {
-            onTransitionEnd : function(arg){
-                alert('Woohoo! Time to run clean up');
-            }
-        }
-    });
-
-    animationForView1.transition('slide', 'left', 'out');
-
+	var animationForViewA = fluid_1_2.animator('body', {
+		listeners : {
+			onTransitionEnd : function(arg){
+			}
+		}
+	});		
+	
+	var animationForViewB = fluid_1_2.animator('body', {
+		selectors : {
+			view: "#viewB"
+		}, 
+		listeners : {
+			onTransitionEnd : function(arg){
+			    alert('Woohoo! Time to run clean up');
+			}
+		}
+	});	
+	
+	var myContentManager = fluid_1_2.contentManager('body', {
+		listeners : {
+			onComplete : function(arg) {
+				animationForViewA.transition('slide', 'left', 'out');			
+				animationForViewB.transition('slide', 'left', 'in');			
+			}
+			
+		}
+	});			
+	
     
-    var transitionDirection = "left";
+/*    var transitionDirection = "left";
     var offscreenPos = "right";
     var previousDirection = "left";
-    
-    /**
-     * Once transition is done, swap container attributes (id + class names) to snap them into final placement
-     * @param {Object} oldView: jQuery object holding the view being transitioned OUT
-     * @param {Object} newView: jQuery object holding the view being transitioned IN
-     */            
+            
     var cleanUp = function(oldView, newView){
         var oldID = oldView.attr('id');
         var newID = newView.attr('id');
@@ -107,12 +192,7 @@
         $('#viewB').attr('class','fl-view fl-offScreen-'+offscreenPos);
         $('#viewA').attr('class','fl-view');
     }
-    
-    
-    /**
-     * Manage transition methods
-     * cleanup when transitions are done
-     */
+
     var triggerTransition = function(){
         
         prepViews();
@@ -149,6 +229,6 @@
         }
         
         $('#viewB').load(url, triggerTransition);
-    });
+    });*/
     
-});  
\ No newline at end of file
+});  
